Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libcanberra
Version:	0.22
Release:	1
BuildArch:	i686
Summary:	Portable Sound Event Library
Group:		System/Libraries
Source0:	http://0pointer.de/lennart/projects/libcanberra/libcanberra-%{version}.tar.gz
License:	LGPLv2+
Url:		http://0pointer.de/lennart/projects/libcanberra/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: sound-theme-freedesktop
Requires: pulseaudio-libs

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: zlib-devel

%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package	gtk2
Summary:	Gtk+ Bindings for libcanberra
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description	gtk2
Gtk+ bindings for libcanberra

%package	devel
Summary:	Development Files for libcanberra Client Development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	gtk-doc
Requires:	gtk2+-devel

%description	devel
Development Files for libcanberra Client Development

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk2
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/libcanberra.schemas > /dev/null || :

%postun gtk2 -p /sbin/ldconfig

%pre gtk2
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-install-rule \
		%{_sysconfdir}/gconf/schemas/libcanberra.schemas >& /dev/null || :
fi

%preun gtk2
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
      		%{_sysconfdir}/gconf/schemas/libcanberra.schemas >& /dev/null || :
fi

%prep
%setup -q

%build
%configure --disable-static --enable-pulse --enable-alsa --enable-null --enable-gstreamer --disable-oss --with-builtin=dso
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_docdir}/libcanberra/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LGPL
%_libdir/libcanberra.so.*
%_libdir/libcanberra-0.*/*.so

%files gtk2
%defattr(-,root,root)
%_libdir/libcanberra-gtk.so.*
%_libdir/gtk-2.0/modules/libcanberra-gtk-module.so
%_bindir/canberra-gtk-play
%_datadir/gnome/autostart/libcanberra-login-sound.desktop
%_datadir/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
%_datadir/gnome/shutdown/libcanberra-logout-sound.sh
%_sysconfdir/gconf/schemas/libcanberra.schemas

%files devel
%defattr(-,root,root)
%doc %_datadir/gtk-doc/html/libcanberra
%_includedir
%_libdir/libcanberra-gtk.so
%_libdir/libcanberra.so
%_libdir/gtk-2.0/modules
%_libdir/*.la
%_libdir/libcanberra-0.*/*.la
%_pkgconfig
%_datadir/vala/vapi/*.vapi

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.22-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 0.11-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 0.10-1
- Initial release
